diff -Nru dhelp-0.6.21+nmu5/debian/changelog dhelp-0.6.21+nmu6/debian/changelog
--- dhelp-0.6.21+nmu5/debian/changelog	2014-10-15 09:35:28.000000000 +0200
+++ dhelp-0.6.21+nmu6/debian/changelog	2014-12-12 22:02:36.000000000 +0100
@@ -1,3 +1,13 @@
+dhelp (0.6.21+nmu6) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Fix "Fails to build the index when invalid UTF-8 is met":
+    apply patch from Daniel Getz:
+    + Load files as UTF-8, regardless of $LANG
+    (Closes: #768127)
+
+ -- gregor herrmann <gregoa@debian.org>  Fri, 12 Dec 2014 22:02:20 +0100
+
 dhelp (0.6.21+nmu5) unstable; urgency=medium
 
   * Non-maintainer upload.
diff -Nru dhelp-0.6.21+nmu5/src/dhelp_parse.rb dhelp-0.6.21+nmu6/src/dhelp_parse.rb
--- dhelp-0.6.21+nmu5/src/dhelp_parse.rb	2014-10-15 09:12:27.000000000 +0200
+++ dhelp-0.6.21+nmu6/src/dhelp_parse.rb	2014-12-12 22:00:28.000000000 +0100
@@ -24,6 +24,11 @@
 PREFIX = '/usr'
 DEFAULT_INDEX_ROOT = "#{PREFIX}/share/doc/HTML"
 
+# Set default file format as UTF-8, without printing a warning
+old_verbose, $VERBOSE = $VERBOSE, false
+Encoding.default_external = "UTF-8"
+$VERBOSE = old_verbose
+
 require 'dhelp'
 require 'dhelp/exporter/html'
 include Dhelp
